--- lib/python3.8/site-packages/linkml_runtime/dumpers/rdflib_dumper.py
@@ -117,7 +117,13 @@
         id_slot = schemaview.get_identifier_slot(cn)
         if id_slot is not None:
             element_id = getattr(element, id_slot.name)
-            element_uri = self._as_uri(element_id, id_slot, schemaview)
+            # In the NFDI4Earth KH setup we want to preserve blank nodes which are only
+            # valid within one named graph, but not globally resolvable because they
+            # are bound to another harvested object
+            if isinstance(element_id, BNode):
+                element_uri = element_id
+            else:
+                element_uri = self._as_uri(element_id, id_slot, schemaview)
         else:
             element_uri = BNode()
         type_added = False
